import { LiveAnnouncer } from "@angular/cdk/a11y";
import { QueryList } from "@angular/core";
import { IOption, IOverlayComponent } from "../overlay/types";
export declare class OptionKeyControlService<T extends IOption> {
    liveAnnouncer: LiveAnnouncer;
    popup: IOverlayComponent;
    optionItems: QueryList<T>;
    private keyboardEventsManager;
    constructor(liveAnnouncer: LiveAnnouncer);
    initKeyboardManager(): void;
    handleKeydown(event: KeyboardEvent): void;
    setActiveItem(option: T): void;
    resetActiveItem(): void;
    setFirstItemActive(): void;
    getActiveItemIndex(): number | null;
    setSkipPredicate(predicate: (option: T) => boolean): void;
    scrollToActiveItem(options: ScrollIntoViewOptions): void;
    private hasActiveItem;
    private handleOpenKeyDown;
    private handleClosedKeyDown;
    private shouldBePrevented;
    private announceNavigatedOption;
    private announceDropdown;
}
